List topics
curl --request GET \
--url https://api.withampersand.com/v1/projects/{projectIdOrName}/topics \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.withampersand.com/v1/projects/{projectIdOrName}/topics"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.withampersand.com/v1/projects/{projectIdOrName}/topics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"name": "system-alerts",
"projectId": "<string>",
"createTime": "2023-11-07T05:31:56Z",
"updateTime": "2023-11-07T05:31:56Z"
}
]{
"type": "urn:problem-type:exampleOrganization:exampleProblem",
"href": "https://www.belgif.be/specification/rest/api-guide/#standardized-problem-types",
"title": "Description of the type of problem that occurred",
"status": 400,
"detail": "Description of specific occurrence of the problem",
"instance": "urn:uuid:123e4567-e89b-12d3-a456-426614174000"
}Destination
List topics
GET
/
projects
/
{projectIdOrName}
/
topics
List topics
Authorizations
APIKeyHeaderBearer
Path Parameters
The Ampersand project ID or project name.
Response
List of topics
The topic ID.
The name of the topic. Must contain only letters, numbers, and dashes.
Maximum string length:
64Example:
"system-alerts"
The Ampersand project ID.
The time when the topic was created.
The time when the topic was last updated.
Was this page helpful?
⌘I

